- name: prometheus Ingress
  k8s:
    state: present
    definition:
      apiVersion: networking.k8s.io/v1
      kind: Ingress
      metadata:
        annotations:
          cert-manager.io/cluster-issuer: "{{ config.certmanager.issuer | default('none') }}"
          kubernetes.io/ingress.class: nginx
          nginx.ingress.kubernetes.io/ssl-redirect: "true"
        name: prometheus
        namespace: "{{ config.prometheus.namespace }}"
      spec:
        rules:
        - host: "{{ config.prometheus.prometheus_fqdn }}"
          http:
            paths:
            - backend:
                service: 
                  name: prometheus-operator-prometheus
                  port: 
                    number: 9090
              path: /
              pathType: Prefix

        tls:
        - hosts:
          - "{{ config.prometheus.prometheus_fqdn }}"
          secretName: "prometheus-tls"
